import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule, Routes} from '@angular/router';
import {LandingpageComponent} from './pages/landingpage/landingpage.component';
import {NotfoundComponent} from './pages/notfound/notfound.component';
import {AdminComponent} from './pages/admin/admin.component';

const routes: Routes = [
	{path: '', component: LandingpageComponent, pathMatch: 'full'},
	{path: 'admin', component: AdminComponent},
	{path: '**', component: NotfoundComponent}
];

@NgModule({
	declarations: [],
	imports: [
		RouterModule.forRoot(routes)
	],
	exports: [
		RouterModule
	]
})
export class AppRouting {
}
